# Administration Reference

## bos apropos

Purpose

Displays each help entry containing a keyword string

Synopsis

    bos apropos -topic <help string>  [-help]

    bos ap -t <help string>  [-h]

Description

The bos apropos command displays the first line of the online help entry for any bos command that has in its name or short description the string specified by the -topic argument.

To display the syntax for a command, use the bos help command.

Options

-topic
  Specifies the keyword string to match, in lowercase letters only. If the string is more than a single word, surround it with double quotes ("") or other delimiters.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The first line of a command's online help entry names it and briefly describes its function. This command displays the first line for any bos command where the string specified with the -topic argument is part of the command name or first line.

Examples

The following command lists all bos commands that include the word restart in their names or short descriptions:

       % bos apropos restart
       getrestart: get restart times
       restart: restart all processes
       setrestart: set restart times

Privilege Required

None

Related Information

bos

bos help

© IBM Corporation 2000. All Rights Reserved